# $Revision: 1.42 $, $Date: 2008/10/19 11:36:54 $
Summary:	LAM/MPI (Local Area Multicomputer) programming environment
Summary(es.UTF-8):	LAM MPI
Summary(pl.UTF-8):	Środowisko programistyczne LAM/MPI
Summary(pt_BR.UTF-8):	LAM MPI
Name:		lam
Version:	7.1.3
Release:	7
Epoch:		2
License:	BSD
Group:		Development/Libraries
Source0:	http://www.lam-mpi.org/download/files/%{name}-%{version}.tar.bz2
# Source0-md5:	dccca92409654f4f822b1d343ca75be6
Patch0:		%{name}-m4.patch
URL:		http://www.lam-mpi.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-fortran
BuildRequires:	libtool
Provides:	mpi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as a single parallel computer. LAM/MPI is
considered to be "cluster friendly", in that it offers daemon-based
process startup/control as well as fast client-to-client message
passing protocols. LAM/MPI can use TCP/IP and/or shared memory for
message passing.

LAM features a full implementation of MPI-1 (with the exception that
LAM does not support cancelling of sends), and much of MPI-2.
Compliant applications are source code portable between LAM/MPI and
any other implementation of MPI. In addition to providing a
high-quality implementation of the MPI standard, LAM/MPI offers
extensive monitoring capabilities to support debugging. Monitoring
happens on two levels. First, LAM/MPI has the hooks to allow a
snapshot of process and message status to be taken at any time during
an application run. This snapshot includes all aspects of
synchronization plus datatype maps/signatures, communicator group
membership, and message contents (see the XMPI application on the main
LAM web site). On the second level, the MPI library is instrumented to
produce a cummulative record of communication, which can be visualized
either at runtime or post-mortem.

%description -l es.UTF-8
LAM (Local Area Multicomputer) es un ambiente de desarrollo MPI para
computadores heterogéneos en una red. Con LAM, un cluster permanente o
una red ya existente pueden servir como un computador paralelo.

LAM tiene entre sus ventajas el soporte extensivo a la depuración
durante el ciclo de desarrollo de los aplicativos y un óptimo
desarrollo en el ambiente de ejecución. LAM implementa completamente
el patrón MPI.

%description -l pl.UTF-8
LAM (Local Area Multicomputer) jest środowiskiem programistycznym MPI
dla heterogenicznych komputerów w sieci. Z użyciem LAM/MPI dedykowany
klaster lub istniejąca infrastruktura obliczająca może się zachowywać
jak pojedynczy, równoległy komputer. LAM/MPI jest uważana za
"przyjazne dla klastrów" - oferuje bazującą na demonie kontrolę i
uruchamianie procesów oraz protokoły szybkiego przesyłania
komunikatów. LAM/MPI może używać TCP/IP lub dzielonej pamięci do
przesyłania komunikatów.

Możliwości LAM to pełna implementacja MPI-1 (z wyjątkiem tego, że LAM
nie obsługuje anulowania wysyłania) i dużej części MPI-2. Kompatybilne
aplikacje są przenośne na poziomie źródeł pomiędzy LAM/MPI i innymi
implementacjami standardu MPI. Oprócz implementacji standardu, LAM/MPI
oferuje rozszerzone możliwości monitorowania na potrzeby
odpluskwiania. Monitorowanie występuje na dwóch poziomach. Po
pierwsze, LAM/MPI pozwala na zrzut procesu i stanu komunikatu w
dowolnej chwili. Ten zrzut zawiera wszystko, co związane z
synchronizacją, plus mapy/sygnatury typów danych, członkowstwo w
grupach komunikacyjnych i zawartości komunikatów. Po drugie,
biblioteka MPI może zapisywać całą komunikację, która może być
wizualizowana na bieżąco lub post-mortem.

%description -l pt_BR.UTF-8
LAM (Local Area Multicomputer) é um ambiente de desenvolvimento MPI
para computadores heterogêneos em uma rede. Com LAM, um cluster
dedicado ou uma rede já existentes podem servir como um computador
paralelo.

LAM tem como vantagens o suporte extensivo a depuração durante o ciclo
de desenvolvimento dos aplicativos e ótima performance em ambiente de
execução. LAM implementa totalmente o padrão MPI.

%prep
%setup -q
%patch0 -p1

# Rename the ROMIO doc files so that we can install them in the same
# doc root later, and not overwrite LAM's doc files.
for file in README README_LAM COPYRIGHT; do
	mv romio/$file romio/romio-$file
done
mv romio/doc/users-guide.ps.gz romio/doc/romio-users-guide.ps.gz

%build
chmod -R u+w .
touch config/lam_check_fd_setsize.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
for i in $(find -name config.sub); do
	cp -f /usr/share/automake/config.sub $i
done

%configure \
	--with-pic \
	--with-rpi \
	--with-rsh="%{_bindir}/ssh -x" \
	--with-fc=gfortran

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv $RPM_BUILD_ROOT%{_mandir}/man{s,7}/mpi.share*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE HISTORY INSTALL README
%doc doc/*.pdf romio/doc/* romio/romio-{README*,COPYRIGHT}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-bhost.def
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-conf.lamd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-helpfile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-hostmap.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-ssi-boot-globus-helpfile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-ssi-boot-slurm-helpfile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-ssi-crlam-self-helpfile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lam-ssi-crmpi-self-helpfile
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[1357]/*
%{_libdir}/liblam.a
%{_libdir}/liblamf77mpi.a
%{_libdir}/liblammpi++.a
%{_libdir}/libmpi.a
%{_libdir}/liblam.la
%{_libdir}/liblamf77mpi.la
%{_libdir}/liblammpi++.la
%{_libdir}/libmpi.la
# not libtool lib
%{_libdir}/liblammpio.a
%{_libdir}/lam
%{_includedir}/lam_config*.h
%{_includedir}/mpi*.h
%{_includedir}/mpi2cxx
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lam.spec,v $
Revision 1.42  2008/10/19 11:36:54  arekm
- rel 7; drop broken symlink

Revision 1.41  2008/10/19 11:01:08  arekm
- rel 6; fix build

Revision 1.40  2008/10/19 10:34:59  arekm
- release 5

Revision 1.39  2008-01-08 23:24:08  glen
- make install re-entrant
- move mans document to man7; rel 4

Revision 1.38  2007-12-25 00:18:44  qboosh
- more verbose files

Revision 1.37  2007-12-25 00:01:52  adamg
- avoid packaging of /usr/lib/debug
- release 3

Revision 1.36  2007/10/20 08:59:51  qboosh
- updated fortran BR (gcc-g77 -> gcc-fortran)

Revision 1.35  2007/10/16 14:47:35  baggins
- rel 2
- added --with-fc=gfortran for gcc 4.2

Revision 1.34  2007/10/16 14:28:51  baggins
- 7.1.3

Revision 1.33  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.31  2006/05/04 17:52:28  baggins
- rel 2
- build with-pic to avoid relocation problems on x8664

Revision 1.30  2005/06/26 19:22:26  saq
- removed untrue description portions
- adapterized

Revision 1.29  2005/04/27 15:31:38  undefine
- up to 7.1.1

Revision 1.28  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.27  2004/08/02 08:37:39  undefine
- release 2 for AC

Revision 1.26  2004/05/28 12:17:10  aflinta
- up to version 7.0.6

Revision 1.25  2004/04/28 18:29:29  undefine
- release 2 for AC

Revision 1.24  2004/04/28 18:26:45  undefine
- update to 7.0.5

Revision 1.23  2004/03/20 13:42:56  undefine
- fix build

Revision 1.22  2004/01/19 22:16:25  undefine
- update to 7.0.4

Revision 1.21  2003/11/13 12:22:08  undefine
- release 2

Revision 1.20  2003/11/13 10:29:48  undefine
- move examples to _examplesdir

Revision 1.19  2003/11/12 12:07:51  undefine
- update to 7.0.2

Revision 1.18  2003/08/26 17:03:06  undefine
- changed source to bz2

Revision 1.17  2003/08/26 16:35:50  undefine
- update to 7.0

Revision 1.16  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/10/09 09:07:40  qboosh
- BR: libtool; new %doc

Revision 1.13  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:13:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/13 10:16:43  qboosh
- removed /etc dir from package; release 6

Revision 1.10  2002/04/13 16:08:02  kloczek
- reelase 5, Epoch: 2 (for allow upgrade fromRH version),
- merge translations from Conectiva.

Revision 1.9  2002/04/13 15:58:31  misiek
- use ssh

Revision 1.8  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/23 15:08:25  qboosh
- cosmetics, pl description

Revision 1.4  2002/01/18 21:17:22  adasi
- some fixes

Revision 1.3  2002/01/18 19:24:58  adasi
- seems to be building correctly
- TODO: manuals in seperate package (it's HUGE)
- STBR

Revision 1.2  2002/01/18 18:51:31  adasi
- added libtoolize --copy --force as suggested by arekm

Revision 1.1  2002/01/18 18:34:59  adasi
- Initial release
- Still need to be fixed
